Method: projects.conversations.participants.analyzeContent

Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation.

Note: Always use agent versions for production traffic sent to virtual agents. See Versions and environments.

HTTP request

POST https://{endpoint}/v2/{participant=projects/*/conversations/*/participants/*}:analyzeContent

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
participant

string

Required. The name of the participant this text comes from. Format: projects/<Project ID>/locations/<Location ID>/conversations/<Conversation ID>/participants/<Participant ID>.

Authorization requires the following IAM permission on the specified resource participant:

  • dialogflow.participants.analyzeContent

Request body

The request body contains data with the following structure:

JSON representation
{
  "replyAudioConfig": {
    object (OutputAudioConfig)
  },
  "queryParams": {
    object (QueryParameters)
  },
  "assistQueryParams": {
    object (AssistQueryParameters)
  },
  "cxParameters": {
    object
  },
  "requestId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "textInput": {
    object (TextInput)
  },
  "audioInput": {
    object (AudioInput)
  },
  "eventInput": {
    object (EventInput)
  },
  "suggestionInput": {
    object (SuggestionInput)
  }
  // End of mutually exclusive fields.
}
Fields
replyAudioConfig

object (OutputAudioConfig)

Speech synthesis configuration. The speech synthesis settings for a virtual agent that may be configured for the associated conversation profile are not used when calling participants.analyzeContent. If this configuration is not supplied, speech synthesis is disabled.

queryParams

object (QueryParameters)

Parameters for a Dialogflow virtual-agent query.

assistQueryParams

object (AssistQueryParameters)

Parameters for a human assist query.

cxParameters

object (Struct format)

Additional parameters to be put into Dialogflow CX session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null.

Note: this field should only be used if you are connecting to a Dialogflow CX agent.

requestId

string

A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if a requestId is provided.

Required. The input content. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
textInput

object (TextInput)

The natural language text to be processed.

audioInput

object (AudioInput)

The natural language speech audio to be processed.

eventInput

object (EventInput)

An input event to send to Dialogflow.

suggestionInput

object (SuggestionInput)

An input representing the selection of a suggestion.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of AnalyzeContentResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dialogflow

For more information, see the Authentication Overview.